curl --request POST \
--url https://api.soltop.sh/wallet/{address}/signatures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 100,
"before": "3AQ8vVrkH5FAG1GV8Ak1rEUc7eKgNuRGEmpUT5TfixZ9...",
"start_time": 1729368000,
"end_time": 1729371600,
"hint_signature": "<string>"
}
'import requests
url = "https://api.soltop.sh/wallet/{address}/signatures"
payload = {
"limit": 100,
"before": "3AQ8vVrkH5FAG1GV8Ak1rEUc7eKgNuRGEmpUT5TfixZ9...",
"start_time": 1729368000,
"end_time": 1729371600,
"hint_signature": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 100,
before: '3AQ8vVrkH5FAG1GV8Ak1rEUc7eKgNuRGEmpUT5TfixZ9...',
start_time: 1729368000,
end_time: 1729371600,
hint_signature: '<string>'
})
};
fetch('https://api.soltop.sh/wallet/{address}/signatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"signatures": [
{
"signature": "<string>",
"slot": 123,
"blockTime": 123,
"success": true
}
],
"pagination": {
"has_more": true,
"next_before": "<string>",
"returned": 123,
"total_in_window": 123,
"from_cache": true
},
"metadata": {
"time_window_hours": 168,
"time_window_start": 123,
"time_window_end": 123,
"wallet_address": "<string>",
"processing_time_ms": 123,
"cache_key": "<string>"
}
}
}Fetch Wallet Signatures
Fetches transaction signatures for a wallet with intelligent caching, pagination, and time filtering. Features 5-minute cache TTL, custom time windows (within 7 days), and efficient RPC batching. Returns lightweight signature data that can be enhanced with other endpoints.
Authorizations
API Key authentication. Format: sk_live_xxx (production) or sk_test_xxx (testing). Obtain your API key from the Blockline Dashboard.
Path Parameters
Wallet address (base58)
^[1-9A-HJ-NP-Za-km-z]{32,44}$Body
Signatures to return per page
1 <= x <= 1000100
Signature to paginate from (for subsequent pages)
"3AQ8vVrkH5FAG1GV8Ak1rEUc7eKgNuRGEmpUT5TfixZ9..."
Unix timestamp - start of time window (must be within 7 days)
1729368000
Unix timestamp - end of time window (must be within 7 days)
1729371600
Signature to start RPC fetching from (optimization hint)